package com.cool.store.service;

import com.cool.store.dto.pre.fry.*;
import com.cool.store.vo.PartnerUserInfoVO;
import com.github.pagehelper.PageInfo;

import java.util.List;

/**
 * @Author suzhuhong
 * @Date 2025/6/23 14:39
 * @Version 1.0
 */
public interface PreFryRecordsService {


    /**
     * 批量插入
     * @param addPreFryRecordsDTO
     * @return
     */
    Boolean batchInsert(AddPreFryRecordsDTO addPreFryRecordsDTO, PartnerUserInfoVO user);


    PageInfo<PreFryRecordsDetailDTO> ListByStoreCodeAndDate(FryRecordsQueryDTO dto);

    PreFryRecordsDetailDTO getById(Long id);

    Boolean salesCompleted(Long id, PartnerUserInfoVO user);

    List<DailyFryCountDTO> queryByStoreCode(String storeCode, Long time);

    PageInfo<PreFryRecordsDTO> queryByQueryDTO(PreFryRecordQueryDTO dto);



}
